# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

Name:           twolame
Version:        0.3.13
%define sonum   0
Release:        2.1
License:        LGPL-2.1
Summary:        An optimised MPEG Audio Layer 2 (MP2) encoder
Url:            http://www.twolame.org/
Group:          Productivity/Multimedia/Sound/Utilities
Source0:        http://prdownloads.sourceforge.net/twolame/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  flac-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on
tooLAME by Mike Cheng, which in turn is based upon the ISO dist10
code and portions of LAME. TwoLAME includes libtwolame, a fully
thread-safe shared library with an API very similar to LAME's.

%package -n lib%{name}%{sonum}
Summary:        Shared libraries for TwoLame
Group:          System/Libraries

%description -n lib%{name}%{sonum}
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on
tooLAME by Mike Cheng, which in turn is based upon the ISO dist10
code and portions of LAME. TwoLAME includes libtwolame, a fully
thread-safe shared library with an API very similar to LAME's.

This package contains the shared libraries for TwoLame.

%package -n lib%{name}-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{sonum} = %{version}
Provides:       %{name}-devel = 0.3.10
Obsoletes:      %{name}-devel < 0.3.10

%description -n lib%{name}-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q

sed -i 's|\r||g' doc/html/*.html
chmod 644        doc/html/*.html

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall

install -dm 755 %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/%{name} \
    %{buildroot}%{_docdir}/%{name}-devel

rm %{buildroot}%{_libdir}/*.la

%clean
[ -d %{buildroot} -a %{buildroot} != "" ] && rm -rf %{buildroot}

%post   -n lib%{name}%{sonum} -p /sbin/ldconfig
%postun -n lib%{name}%{sonum} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n lib%{name}%{sonum}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{sonum}*
%{_libdir}/lib%{name}.so.%{sonum}

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Mar 12 2012 toddrme2178@gmail.com
- Update to 3.13
- Cleaned up spec file formatting
- Changed license to LGPL-2.1 (see COPYING file)
- Added 32bit compatibility package (needed by
  gstreamer-0_10-plugins-ugly-orig-addon-32bit)
* Wed Jan  9 2008 toni@links2linux.de
- update to 3.12
- changed package layout according Shared Library Packaging Policy
* Wed Mar 21 2007 toni@links2linux.de
- update to 3.10
* Sun Dec 31 2006 toni@links2linux.de
- update to 3.9
* Sun Sep 17 2006 toni@links2linux.de
- build for packman
* Sat Jul 29 2006 oc2pus@arcor.de
- initial release 0.3.8
